/**
 * @file main.c
 * @brief Este projeto demonstra o uso de macros no projeto do led azul piscante (PTE23) 
 * @author Wu Shin Ting
 * @date 6/09/2020
 */

//incluir declaracoes e macros das funcoes destes dois componentes
#include "GPIO_ledRGB.h"  
#include "util.h"

/**
 * @brief programa-demo do uso de macros
 */
int main(void)
{
	// Bloco 1: Inicializar
	GPIO_initLedB();
	
	// Bloco 2: Alternar o estado do led num laco
	for(;;) {
		//Azul
		GPIO_ledB(HABILITA);
		delay(500000);
	 	// Escrever 0 (Clear) no pino PTE23
		GPIO_ledB(DESABILITA);
		delay(500000);
	}
	
	return 0;
}
